Name:           libmawk
Version:        1.0.0
Release:        1%{?dist}
Summary:        Embed awk scripting language in any application written in C

License:        GPLv2
URL:            http://repo.hu/projects/libmawk
Source0:        http://repo.hu/projects/libmawk/releases/%{name}-%{version}.tar.gz

BuildRequires:  gcc

%description
Libmawk is a fork of mawk 1.3.3 restructured for embedding.
This means the user gets libmawk.h and libmawk.so and can embed
awk scripting language in any application written in C.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
HTML documentation for %{name}.


%prep
%autosetup


%build
./configure --prefix=/usr --symbols
%make_build


%install
%make_install LIBDIR=%{buildroot}/%{_libdir}


%files
%license src/libmawk/COPYING
%doc README
%{_libdir}/*.so.1*
%{_bindir}/lmawk

%files devel
%{_mandir}/man1/*
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}


%changelog
* Sat Dec  1 2018 Alain <alain vigne 14 AT gmail com> 1.0.0-1
- Initial proposal
